Bug 500194 - user command from ks.cfg not written to anaconda-ks.cfg
user command from ks.cfg not written to anaconda-ks.cfg
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Chris Lumens
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-11 11:30 EDT by Alexander Todorov
Modified: 2010-04-28 16:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-28 16:59:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2009-05-11 11:30:18 EDT
Description of problem:
The user command from a ks.cfg file used for installation is not written to the resulting anaconda-ks.cfg

Version-Release number of selected component (if applicable):
anaconda-11.1.2.172-1

How reproducible:
Always

Steps to Reproduce:
1. Install with a ks.cfg file specifying the user command
  
Actual results:
The line containing user command is not present in anaconda-ks.cfg post install

Expected results:
The user line is present in anaconda-ks.cfg. If --password is specified in plain text then it should appear encrypted and --encrypted will be appended to the line.

Additional info:
ks.cfg for install:

lang en_US.UTF-8
key --skip
keyboard us
network --device eth0 --bootproto dhcp --hostname ks-user-bug
rootpw redhat
authconfig --enableshadow --enablemd5
#firewall --disabled
#selinux --disabled
timezone --utc Europe/London
clearpart --all
autopart
bootloader --location=mbr
skipx
reboot
user --name=redhat

%packages
@base
Comment 1 Chris Lumens 2009-05-26 16:53:50 EDT
I think the best fix for this bug would be to simply copy the input kickstart file to /root/anaconda-ks.cfg instead of writing out yet another file that's likely going to have some very subtle differences from the input.  That way we'd never have to deal with this sort of problem again.

I could swear I've done this in the past, but I was unable to find any commits that do it.
Comment 2 Alexander Todorov 2009-05-27 02:34:43 EDT
What about %pre and %post scripts? I've been told in the past that they are not written to the resulting anaconda-ks.cfg for security reasons. Probably you'll have to skip the scripts and leave everything else as is.
Comment 3 Chris Lumens 2009-05-27 10:08:20 EDT
I haven't heard that before, but I can believe it.  It would make doing what I suggested much more complicated.
Comment 7 RHEL Product and Program Management 2010-04-28 16:59:30 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.